/* main.cpp - Main program getting some info on the CPU state. */
/* by Colin D Bennett <colin@gibibit.com>, 6 May 2008 */

#include "hc12/hcs12.h"
#include "hc12/dbug12.h"

int main(void)
{	
	DB12FNP->dbug12_printf("HCS12 Info Program\r\n");
	DB12FNP->dbug12_printf("SCI0BDH/L:%02Xh/%02Xh  "
						   "SCI0CR1:%02Xh  "
						   "SCI0CR2:%02Xh\r\n",
						   SCI0BDH, SCI0BDL, SCI0CR1, SCI0CR2);
}

void println(const char* s)
{
	DB12FNP->dbug12_printf("%s\r\n", s);
}

